classification
Title: remove unused undocumented pydoc.Scanner class
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, isoschiz, merwok, python-dev, ron_adam, terry.reedy
Priority: normal Keywords: patch

Created on 2011-02-11 06:29 by ron_adam, last changed 2013-04-18 23:55 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue11182.diff isoschiz, 2013-04-18 22:57 Remove unused Scanner class
Messages (5)
msg128365 - (view) Author: Ron Adam (ron_adam) * Date: 2011-02-11 06:29
There doesn't seem to be any references to it in any other part of pydoc, or the Library for that matter.  Searching for it on google code search (and also google web search) only turns up auto generated API references for python editing tools like VIM, and of course it's existence in pydoc itself.

This doesn't appear to be related to the ModuleScanner class in any way other than possibly being a bit of left over example code.

Can it be removed?
msg128429 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-02-11 20:51
After saying that pydoc is used by help(), its documentation only tells how to run it standalone. 

help(pydoc) basically says the same, and does not mention any internals, because of "__all__ = ['help']", which the author understood to define the public interface.

So it seems to me that everything other than help() can be considered private and changeable. Scanner does look like a leftover orphan.
msg187308 - (view) Author: Martin Morrison (isoschiz) * Date: 2013-04-18 22:57
Attached patch does exactly as described. Seems to be unused, and still passes all pydoc tests.
msg187312 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-18 23:53
New changeset 465cb5ce5a7e by Ezio Melotti in branch 'default':
#11182: remove the unused and undocumented pydoc.Scanner class.  Patch by Martin Morrison.
http://hg.python.org/cpython/rev/465cb5ce5a7e
msg187314 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-18 23:55
Fixed, thanks for the patch!
History
Date User Action Args
2013-04-18 23:55:43ezio.melottisetstatus: open -> closed

type: enhancement
assignee: ezio.melotti

nosy: + ezio.melotti
messages: + msg187314
resolution: fixed
stage: needs patch -> resolved
2013-04-18 23:53:34python-devsetnosy: + python-dev
messages: + msg187312
2013-04-18 23:22:36terry.reedysetversions: + Python 3.4, - Python 3.3
2013-04-18 22:57:24isoschizsetfiles: + issue11182.diff

nosy: + isoschiz
messages: + msg187308

keywords: + patch
2011-04-27 10:07:48merwoksetnosy: + merwok

stage: needs patch
title: pydoc.Scanner class not used by anything -> remove unused undocumented pydoc.Scanner class
2011-02-11 20:51:14terry.reedysetnosy: + terry.reedy
messages: + msg128429
2011-02-11 06:29:15ron_adamcreate